ublas: boost::numeric::ublas::bounded_array< T, N, ALLOC > Class Template Reference

# boost::numeric::ublas::bounded_array< T, N, ALLOC > Class Template Reference

Inherits storage_array< bounded_array< T, N, ALLOC > >.

List of all members.

## Public Types

typedef ALLOC::size_type | size_type
typedef ALLOC::difference_type | difference_type
typedef T | value_type
typedef const T & | const_reference
typedef T & | reference
typedef const T * | const_pointer
typedef T * | pointer
typedef const_pointer | const_iterator
typedef pointer | iterator
typedef std::reverse_iterator < const_iterator > | const_reverse_iterator
typedef std::reverse_iterator < iterator > | reverse_iterator

## Public Member Functions

BOOST_UBLAS_INLINE | bounded_array (size_type size)
BOOST_UBLAS_INLINE | bounded_array (size_type size, const value_type &init)
BOOST_UBLAS_INLINE | bounded_array (const bounded_array &c)
BOOST_UBLAS_INLINE void | resize (size_type size)
BOOST_UBLAS_INLINE void | resize (size_type size, value_type init)
BOOST_UBLAS_INLINE size_type | max_size () const
BOOST_UBLAS_INLINE bool | empty () const
BOOST_UBLAS_INLINE size_type | size () const
BOOST_UBLAS_INLINE const_reference | operator[] (size_type i) const
BOOST_UBLAS_INLINE reference | operator[] (size_type i)
BOOST_UBLAS_INLINE bounded_array & | operator= (const bounded_array &a)
BOOST_UBLAS_INLINE bounded_array & | assign_temporary (bounded_array &a)
BOOST_UBLAS_INLINE void | swap (bounded_array &a)
BOOST_UBLAS_INLINE const_iterator | begin () const
BOOST_UBLAS_INLINE const_iterator | end () const
BOOST_UBLAS_INLINE iterator | begin ()
BOOST_UBLAS_INLINE iterator | end ()
BOOST_UBLAS_INLINE const_reverse_iterator | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator | rend () const
BOOST_UBLAS_INLINE reverse_iterator | rbegin ()
BOOST_UBLAS_INLINE reverse_iterator | rend ()

## Friends

class | boost::serialization::access
BOOST_UBLAS_INLINE friend void | swap (bounded_array &a1, bounded_array &a2)

### template<class T, std::size_t N, class ALLOC>
class boost::numeric::ublas::bounded_array< T, N, ALLOC >